import { jsx } from "react/jsx-runtime";
import { CaretLeft as CaretLeft$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CaretLeft = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CaretLeft", ...props, children: /* @__PURE__ */ jsx(CaretLeft$1, { weight: variant }) });
  }
);
CaretLeft.displayName = "CaretLeft";
Object.assign(CaretLeft, { isGdsIcon: true });
export {
  CaretLeft
};
